kind: pipeline
type: docker
name: deploy

steps:
- name: build
  image: node:18-alpine
  commands:
    - npm ci || npm install
    - npm run build || npm build

- name: sync-files
  image: alpine:latest
  volumes:
  - name: website-data
    path: /host-target
  commands:
    - cp -a . /host-target

    - chmod -R 777 /host-target

volumes:
- name: website-data
  host:
    path: /root/kh3website/data/html